package net.h34t.filemure.controller

import io.javalin.http.Context
import net.h34t.filemure.Session
import net.h34t.filemure.TemplateModifiers
import net.h34t.filemure.redirectPRG
import net.h34t.filemure.tempolin
import net.h34t.filemure.tpl.Frame
import net.h34t.filemure.tpl.Login

class LoginController(val modifiers: TemplateModifiers) {

    fun formLogin(ctx: Context) {
        ctx.tempolin(
            Frame(
                modifiers = modifiers,
                title = "Hello to Filemure",
                content = Login(

                )
            )
        )
    }

    fun doLogin(ctx: Context) {
        val username = ctx.formParam("username")
        val password = ctx.formParam("password")

        if (username == "stefan@schallerl.com" && password == "foobar") {
            ctx.sessionAttribute("user", Session(email = username))
            ctx.redirectPRG("/")
        } else {
            ctx.sessionAttribute("user", null)
            ctx.redirectPRG("/")
        }
    }

    fun doLogout(ctx: Context) {
        ctx.sessionAttribute("user", null)
        ctx.redirectPRG("/login")
    }
}