package net.h34t.filemure.controller

import io.javalin.http.Context
import net.h34t.filemure.TemplateModifiers
import net.h34t.filemure.tempolin
import net.h34t.filemure.tpl.Frame
import net.h34t.filemure.tpl.Overview

class OverviewController(val modifiers: TemplateModifiers) {

    fun overview(ctx: Context) {
        ctx.tempolin(
            Frame(
                modifiers = modifiers,
                title = "Filemure Overview",
                content = Overview()
            )
        )
    }
}